.modal-filter {
    width: 100%;
    position: relative;
    padding-top: rem(20);
    background: transparent;

    &__close {
        top: 0;
        left: calc(50% - 20px);
        position: absolute;
    }

    &__main {
        background: $white;
        padding: rem(48) rem(20);
        border: 5px solid #F1F1F1;
    }

    &__header {
        color: $dark;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(18);
        text-align: center;
        margin-bottom: rem(26);
    }

    &__group {
        border-bottom: 1px solid $gray-200;
        margin-bottom: rem(8);

        &.open {
            border-bottom-color: transparent;

            .modal-filter {

                &__title {

                    &:before {
                        transform: rotate(180deg);
                        transition: .25s;
                    }
                }
            }
        }

        &--static {
            margin-top: rem(30);
            border-bottom: none;
        }
    }

    &__title {
        color: $dark;
        cursor: pointer;
        font-weight: 600;
        line-height: 155%;
        font-size: rem(14);
        position: relative;
        margin-bottom: rem(16);
    }

    &__options {
        margin-bottom: rem(20);

        &__item {
            display: flex;
            align-items: center;
            justify-content: space-between;

            &:not(:last-child) {
                margin-bottom: rem(10);
            }
        }

        &__value {
            display: flex;
            align-items: center;
        }

        &__price {
            color: $purple;
            font-weight: 600;
            line-height: 145%;
            font-size: rem(14);
            white-space: nowrap;
        }

        &__info {
            margin-left: rem(8);
            display: flex;
            align-items: center;
        }
    }

    &__total {
        margin-bottom: rem(10);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__label {
            color: $gray-600;
            font-weight: 500;
            line-height: 115%;
            font-size: rem(11);
        }
    }

    &__price {
        color: $dark;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(24);
        white-space: nowrap;
    }

    &__order {

    }

    &__custom {

        &__price {
            margin-top: rem(10);
            display: flex;
            flex-direction: row-reverse;
        }
    }

    &__sizes {
        display: grid;
        grid-row-gap: rem(10);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr 1fr;
    }

    &__property {
        display: grid;
        grid-row-gap: rem(12);
        grid-column-gap: rem(12);
        grid-template-columns: 1fr;
    }

    &__wrap {
        padding-top: rem(4);
        padding-bottom: rem(24);
    }

    &__section {
        margin-bottom: rem(30);
    }

    &__list {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;

        &__info {
            display: flex;
            align-items: flex-end;
            margin-left: rem(10);
        }
    }

    &__toggle {
        margin-top: rem(20);
    }

    &__additional {
        display: none;
    }

    @include media-breakpoint-up(md) {
        margin: 0;
        padding-top: 0;
        max-width: rem(768);

        &__close {
            left: auto;
            top: rem(20);
            right: rem(22);
        }

        &__main {
            padding: rem(80) rem(50);
            border: 10px solid #F1F1F1;
        }

        &__group {
            margin-bottom: rem(20);

            &--static {
                margin-top: rem(20);
                border-bottom: none;
            }
        }

        &__header {
            padding: rem(10) 0;
            text-align: left;
            font-size: rem(30);
            margin-bottom: rem(24);
        }

        &__title {
            font-size: rem(16);
        }

        &__sizes {
            grid-row-gap: rem(10);
            grid-column-gap: rem(10);
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        }

        &__price {
            font-size: rem(36)
        }

        &__custom {
            display: flex;
            align-items: center;
            justify-content: space-between;

            &__size {
                flex-shrink: 0;
                width: rem(280);
            }

            &__price {
                margin: 0 0 0 rem(24);
            }
        }

        &__property {
            display: grid;
            grid-row-gap: rem(14);
            grid-column-gap: rem(16);
            grid-template-columns: 1fr 1fr;
        }

        &__options {
            width: 100%;
            margin-bottom: 0;
            margin-top: rem(25);
            order: 3;

            &__price {
                color: $purple;
                font-weight: 600;
                line-height: 145%;
                font-size: rem(18);
                white-space: nowrap;
            }
        }

        &__footer {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
        }

        &__total {
            display: block;
            margin: 0;
            order: 1;

            &__label {
                font-size: rem(13);
            }
        }

        &__order {
            width: rem(310);
            flex-shrink: 0;
            order: 2;
        }

        &__section {
            margin-bottom: rem(40);
        }

        &__list {
            grid-row-gap: rem(10);

            &__info {
                align-items: center;
            }
        }

        &__toggle {
            margin-top: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        margin: rem(30) 0;
        max-width: rem(1014);

        &__close {
            left: auto;
            top: rem(40);
            right: rem(40);
        }

        &__main {
            padding: rem(85) rem(100);
            border: 15px solid #F1F1F1;
        }

        &__header {
            font-size: rem(35);
            margin-bottom: rem(50);
        }

        &__group {
            margin-bottom: rem(40);
        }

        &__title {
            font-size: rem(18);
        }

        &__wrap {
            padding-top: 0;
            padding-bottom: 0;
        }

        &__property {
            display: grid;
            grid-row-gap: rem(10);
            grid-column-gap: rem(10);
            grid-template-columns: 1fr 1fr 1fr 1fr;

            &--two {
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}

.item-size {
    display: block;
    cursor: pointer;
    font-weight: 500;
    line-height: 155%;
    font-size: rem(13);
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        overflow: hidden;
        position: absolute;

        &:checked + span {
            color: $white;
            background: $purple;
            border-color: $purple;
            transition: .25s;
        }
    }

    span {
        padding: rem(8);
        height: rem(46);
        color: $gray-600;
        background: $white;
        border: 1px solid #b6b6b6;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        &:hover {
            border-color: $purple;
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(15);

        span {
            height: rem(56);
        }
    }
}

.item-property {
    display: block;
    color: $gray-600;
    font-weight: 500;
    line-height: 115%;
    font-size: rem(13);
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        overflow: hidden;
        position: absolute;

        &:checked + .item-property {

            &__main {
                color: $white;
                background: $purple;
                border-color: $purple;
                transition: .25s;

                .item-property__value {
                    color: rgba(255,255,255,0.5);
                }

                .item-property__info {
                    fill: rgba(255,255,255,0.2);
                }
            }
        }
    }

    &__main {
        padding: rem(8) rem(30);
        height: rem(76);
        cursor: pointer;
        font-style: normal;
        text-align: center;
        background: $white;
        position: relative;
        border: 1px solid $gray-200;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        &:hover {
            border-color: $purple;
            transition: .25s;
        }
    }

    &__wrapper {
        font-style: normal;
        display: block;
    }

    &__title {
        display: block;
    }

    &__value {
        display: block;
        color: $purple;
        line-height: 155%;
        font-size: rem(11);
        margin-top: rem(2);
    }

    &__info {
        top: rem(8);
        right: rem(8);
        z-index: 20;
        font-size: 0;
        line-height: 0;
        fill: $purple;
        width: rem(14);
        height: rem(14);
        position: absolute;
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(15);

        &__main {
            height: rem(92);
        }

        &__value {
            font-size: rem(13);
        }

        &__info {
            width: rem(16);
            height: rem(16);
        }
    }
}

.sizes-set {

    display: grid;
    grid-column-gap: rem(14);
    grid-template-columns: 1fr 1fr;

    &__label {
        color: #6B747B;
        font-weight: 600;
        line-height: 155%;
        font-size: rem(12);
        margin-bottom: rem(8);
    }

    &__control {
        display: flex;
        align-items: center;
    }

    &__placeholder {
        color: $dark;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(24);
        white-space: nowrap;
        display: block;
        padding-left: rem(14);
    }

    @include media-breakpoint-up(sm) {
        max-width: rem(280);
    }

    @include media-breakpoint-up(md) {

        &__placeholder {
            font-size: rem(15);
        }
    }
}

.modal-filter-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.filter-item {
    font-size: 0;
    line-height: 0;
    font-weight: 500;
    display: block;
    position: relative;
    flex-grow: 1;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        position: absolute;
        visibility: hidden;

        &:checked + .filter-item__content {
            font-weight: 600;
            color: $dark;

            &:before {
                background: #F5F5F3;
            }

            &:after {
                opacity: 1;
                visibility: visible;
            }

            .filter-item__value {
                color: $purple;
            }
        }

        &:disabled + .filter-item__content {
            font-weight: 500;
            color: #6B747B;
            opacity: 0.5;
            cursor: default;

            &:before {
                background: #F5F5F3;
                border-color: #F5F5F3;
            }

            &:after {
                opacity: 0;
                visibility: hidden;
            }

            .filter-item__value {
                color: #6B747B;
            }
        }
    }

    &__content {
        min-height: 25px;
        color: #6B747B;
        display: block;
        cursor: pointer;
        font-size: 13px;
        line-height: 19px;
        position: relative;
        padding-left: rem(42);

        &:before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 25px;
            height: 25px;
            border-radius: 50%;
            position: absolute;
            border: 1px solid #b6b6b6;
        }

        &:after {
            top: 8px;
            left: 8px;
            z-index: 5;
            content: '';
            width: 9px;
            height: 9px;
            border-radius: 50%;
            position: absolute;
            background: $purple;
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            color: $dark;

            .filter-item {

                &__value {
                    color: $purple;
                }
            }
        }
    }

    &__label {
        display: block;
    }

    &__value {
        display: block;
        font-weight: 600;
    }

    @include media-breakpoint-up(md) {

        &__content {
            white-space: nowrap;
            font-size: rem(15);
            line-height: rem(19);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__line {
            top: 6px;
            height: 1px;
            flex-grow: 1;
            margin: 0 rem(12);
            content: '';
            display: block;
            position: relative;
            background-image: linear-gradient(to right, #DADCDD 40%, rgba(255, 255, 255, 0) 20%);
            background-position: top;
            background-size: 5px 1px;
            background-repeat: repeat-x;
        }
    }
}

.additional-header {
    font-size: rem(12);
    line-height: 135%;
    font-weight: 500;
    padding-top: rem(44);
    margin-bottom: rem(24);
    padding-bottom: rem(20);
    border-bottom: 1px solid $gray-200;

    &__title {
        color: $purple;
        font-size: rem(16);
        font-weight: 600;
        line-height: 135%;
    }

    &__text {
        margin-top: rem(12);
    }
}

.additional-options {
    display: grid;
    grid-row-gap: rem(10);
    grid-template-columns: 1fr;
}
